## file-rc 0.4.3

=== debian/changelog ===
file-rc (0.4.3) unstable frozen; urgency=high, closes=19507 19310 17882 20963

  * Complete rewrite of the commandline parser for update-rc.d.  It now
    handles different runlevels correctly and works similar to the program
    as provided by sysvinit.
  * Included support for runlevel S (closes: Bug#19507)
  * Wrote and included rcS
  * Moved /etc/init.d/reboot and /etc/init.d/halt from sequence 05 to 99
  * Use dpkg-divert for /etc/init.d/rcS
  * Complete rewrite of debian/rules as it's now clear that I'm not only
    an interim maintainer. (closes: Bug#19310)
  * Applied patch from Wakko Warner <wakko@ani.animx.ml.org> to support
    .sh files. (closes: Bug#17882)
  * Used new source ftp address in copyright
  * Rewrote rclink2file.sh to support different start sequences
  * Hacked support for runlevel S into rcfile2link.sh
  * Removed /tmp files in favour of /etc tempfiles
  * Added support for runlevel S in rclink2file.sh
  * Added support for .sh files not marked executable
  * Modified /etc/init.d/rc to call all kill scripts first and then run
    the start scripts, when they're not called in the previous level -
    just like sysvinit.  (closes: Bug#20963)
  * New description
  * Added module to correct missing runlevel S support and wrong handling
    for reboot and halt to postinst
  * New Standards-Version
  * Heavy tested the code on a plain hamm machine as well as on a manual
    crippled machine.  Yes, it works.  Great.

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 17 May 1998 20:22:43 +0200

file-rc (0.4.2) unstable frozen; urgency=low, closes=14003 12226 10075 12661

  * New maintainer
  * New standards version
  * Modified debian/rules
  * Added copyright from upstream author
  * Corrected copyright notice
  * Modified postinst according to Juan Cespedes' suggestion (Bug#14003)
  * Fixed small typo in update-rc.d which prevents the help text from
    being displayed
  * Corrected update-rc.d so entries get removed now (Bug#12226)
  * Better options handling included
  * Implemented -f (force) switch
  * Changed on/off to start/stop in help text
  * Corrected bahaviour of update-rc.d when start/stop codes are
    specified.  These resulted in [= integer expression expected in the
    past.  (Bug#10075)
  * Modified update-rc.d so it now understands start (and stop) lists
    ending with a dot.  (Bug#12661)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 14 Jan 1998 12:42:13 +0100

file-rc (0.4.1) unstable frozen; urgency=medium

  * Installation now corrects previous defects in /etc/runlevel.conf and
    /etc/runlevel.fallback in preinst script.

 -- Tom Lees <tom@lpsg.demon.co.uk>  Sat, 24 May 1997 09:18:43 +0100

file-rc (0.4) unstable frozen; urgency=high

  * Fixed major problem with installation with multiple packages (#10051).
  * Fixed an even worse bug where it would totally fail to work (#10052).
  * No longer allows /etc/init.d/rc to be automatically overwritten by
    upgrading sysvinit.

 -- Tom Lees <tom@lpsg.demon.co.uk>  Fri, 23 May 1997 20:25:02 +0100

file-rc (0.3) unstable; urgency=low

  * Initial Release.

 -- Tom Lees <tom@lpsg.demon.co.uk>  Tue, 11 Feb 1997 18:19:10 +0000

Local variables:
mode: debian-changelog
End:
