=== debian/control ===
Source: file-rc
Section: admin
Priority: extra
Maintainer: Martin Schulze <joey@debian.org>
Standards-Version: 2.4.0.1

Package: file-rc
Architecture: all
Depends: sysvinit
Description: Alternative one-configfile boot mechanism
 This package provides an alternative mechanism to boot the system and
 to shut it down.  The /etc/rc?.d links will be converted into one
 single configuration file /etc/runlevel.conf instead, which is easier
 to administrate than symlinks, and is also more flexible.
 .
 The package will automatically convert your existing symlinks into
 the file method on installation, and convert the file back into
 symlinks on removal.  Both mechanism are compatible trough
 /etc/init.d/rc, /etc/init.d/rcS and /usr/sbin/update-rc.d scripts.
