## file-rc 0.4.7

=== debian/changelog ===
file-rc (0.4.7) frozen unstable; urgency=low, closes=30669

  * Fixed problems wrt. changing of runlevels, partially applied patch
    from Roland Rosenfels.  (closes: Bug#30669)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 30 Dec 1998 12:39:23 +0100

file-rc (0.4.6) unstable; urgency=low, closes=28204

  * Execution of .sh scripts now takes place in a separate environment of
    the current shell using the "(. *.sh)" construct.  This allows .sh
    scripts to use exit statements without halting the complete boot
    procedure.  (closes: Bug#28204)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 22 Oct 1998 12:31:46 +0200

file-rc (0.4.5) unstable; urgency=low, closes=28066

  * *Temporarily* disabled sourceing of *.sh scripts.  This needs to be
    discussed on -policy.  It's disabled to avoid showstoppers for the
    slink release.
  * Corrected comment-detection code.  Thanks to Marc Haber
    <Marc.Haber@gmx.de> (closes: Bug#28066)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 20 Oct 1998 20:13:11 +0200

file-rc (0.4.4) unstable; urgency=low, closes=23459

  * Don't check for being executable when referring to a *.sh script

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 30 Jun 1998 01:08:44 +0200
