## file-rc 0.5.5

=== debian/changelog ===
file-rc (0.5.5) frozen unstable; urgency=low

  * This is only a bugfix release (very small changes), which can go into
    frozen.
  * Avoid "can't shift that many" message when rclink2file is run with ash
  * move "# THE LAST LINE IS NEVER READ" to the end of runlevel.conf
    (Closes: # 57787).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 11 Feb 2000 12:24:45 +0100

file-rc (0.5.4) unstable; urgency=low

  * Get rid of "echo -e" in rc, rclink2file.sh and update-rc.d, because
    this seem to be incompatible to POSIX.
  * Get rid of "echo -n" in update-rc.d because this is not fully
    portable.
  * Get rid of all "echo -n" in rc except one (which outputs dots to show,
    that the system is waiting for a lock, it shouldn't be a big problem
    if this fails, it only looks ugly).
  * Removed unique() from update-rc.d, it was never used.
  * Upgrade to Standards version 3.1.0: Added Build-Depends

 -- Roland Rosenfeld <roland@debian.org>  Sun,  9 Jan 2000 00:19:49 +0100

file-rc (0.5.3) unstable; urgency=medium

  * Add pointer to runlevel.conf(5) to new /etc/runlevel.conf created by
    rclink2file.sh.
  * update-rc.d: use "-" if start- or stop-list is empty (Closes: #47910)
  * update-rc.d: remove now really removes instead of mentioning, that
    this command is already in runlevel.conf.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 20 Oct 1999 23:44:38 +0200

file-rc (0.5.2) unstable; urgency=low

  * rcfile2link.sh: Correct detection of comments (created links for
    commented lines before).
  * Added man page runlevel.conf(5).

 -- Roland Rosenfeld <roland@debian.org>  Mon,  4 Oct 1999 09:55:23 +0200

file-rc (0.5.1) unstable; urgency=low

  * Use runlevel.fallback in rcS, if runlevel.conf isn't available.
  * Start a /sbin/sulogin in rc, if runlevel.conf and runlevel.fallback
    aren't available. (Thanks to Richard Hawes <hawesr@gemair.com> for
    mentioning this).
  * Update to standards version 3.0.1:
    - /usr/doc -> /usr/share/doc
    - Add #DEBHELPER# to [post|pre][inst|rm] scripts.
  * Added a debian/TODO.
  * Wait for 120 seconds in rc if lockfile exists.  After this die on a
    normal runlevel change or kill the locking process, if rebooting or
    halting (this avoids strange states in these special situation).
  * Lock runlevel.conf, if prevlevel!=N and new runlevel!=1,6.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 30 Sep 1999 19:03:09 +0200

file-rc (0.5.0) unstable; urgency=low

  * Changed debian/rules to debhelper.
  * Changed standards-version to 2.5.1 (no changes).
  * Conflict with ash (<< 0.3.5-1), so update-rc.d and rclink2file.sh can
    use /bin/sh (older versions of ash had a bug in ${parameter%%word},
    new ash and bash have no problem with this).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 14 Aug 1999 17:57:25 +0200

file-rc (0.4.9) unstable; urgency=low

  * update-rd.d: Don't change runlevel.conf, if there is already a line
    with the actual command in it. This didn't work under all
    circumstances before (Closes: #31729).
  * Remove bashisms from debian/rules.

 -- Roland Rosenfeld <roland@debian.org>  Mon,  9 Aug 1999 18:22:44 +0200

file-rc (0.4.8) unstable; urgency=low

  * New maintainer.
  * Upgraded standards-version to 2.5.0 (no changes).
  * Changed lock file consistently to /etc/runlevel.lock (should be on
    root partition).
  * Added Copyright to debian/copyright.
  * Fixed r2d2 URL in debian/copyright (Closes: #38675).
  * Run update-rc.d with /bin/bash, because there are still some bashisms
    in it (Closes: #37510).
  * Removed bashisms in all shell scripts. So at least rc and rcS can run
    with sh linked to ash. update-rc.d still needs bash because of #37510.
    (Closes: #35570, #36851, #36889 ).

 -- Roland Rosenfeld <roland@debian.org>  Fri,  2 Jul 1999 11:39:06 +0200
