=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: file-rc
 Section: admin
 Priority: extra
-Maintainer: Martin Schulze <joey@debian.org>
-Standards-Version: 2.4.0.1
+Maintainer: Roland Rosenfeld <roland@debian.org>
+Standards-Version: 3.1.0
+Build-Depends: debhelper
 
 Package: file-rc
 Architecture: all
 Depends: sysvinit
+Conflicts: ash (<< 0.3.5-1)
 Description: Alternative one-configfile boot mechanism
  This package provides an alternative mechanism to boot the system and
  to shut it down.  The /etc/rc?.d links will be converted into one
