## file-rc 0.6.3

=== debian/changelog ===
file-rc (0.6.3) unstable; urgency=low

  * -n is opt_simulate, not opt_force (Closes: #131051).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 28 Jan 2002 08:36:43 +0100

file-rc (0.6.2) unstable; urgency=low

  * Don't install runlevel.tmp as runlevel.conf, if "-n" option is given
    to follow the update-rc.d(8) man page (Closes: #124397).
  * Correct spelling of Description (Closes: #124615).
  * Change Build-Depends to Build-Depends-Indep because lintian requests
    this.
  * Remove obsolete dh_suidregister from debian/rules.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 23 Dec 2001 13:20:38 +0100

file-rc (0.6.1) unstable; urgency=low

  * Corrected man page runlevel.conf(5): the kill levels are executed in
    alphabetical order, not in reverse order (Closes: #110473).
  * s/trough/through/ in package description (Closes: #111021).

 -- Roland Rosenfeld <roland@debian.org>  Fri,  5 Oct 2001 15:19:18 +0200

file-rc (0.6.0) unstable; urgency=low

  * Add directory for Richard Hawes' changes.  I still don't like his
    changes, so I don't merge it into the binary package, but conserve
    them in the source package, for later use (Closes: #31018).
  * Add support for invoke-rc.d mainly provided by Henrique de Moraes
    Holschuh <hmh@debian.org> and Depend on sysvinit (>= 2.80-1) which
    comes with invoke-rc.d (Closes: #106971).
  * Remove function element() from update-rc.d (it is not used).
  * Stop converting runlevels "single" and "S" to "1" in rc.
  * Add diversion of /usr/sbin/invoke-rc.d to postinst/postrm.
  * Upgrade to Standards-Version 3.5.5 (no changes).
  * Replace dh_testversion by versioned Build-Depends.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 29 Jul 2001 13:15:09 +0200

file-rc (0.5.7) unstable; urgency=low

  * Replace bashism "let i+=1" by "i=$(($i + 1))" (Closes: #72431).
  * Add more information about this package to README.debian.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 30 Sep 2000 20:36:26 +0200

file-rc (0.5.6) unstable; urgency=low

  * Upgrade to Standards-Version 3.2.0 (no changes).
  * Upgrade to new debhepler:
    - Change to DH_COMPAT=2.
    - Add some dh_* calls to debian/rules.
  * Move lockfile from /etc to /var/lock (Closes: #66585).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 11 Sep 2000 14:48:36 +0200
