=== debian/control ===
Source: file-rc
Section: admin
Priority: extra
Maintainer: Roland Rosenfeld <roland@debian.org>
Standards-Version: 3.5.5
Build-Depends-Indep: debhelper (>= 2.0.0)

Package: file-rc
Architecture: all
Conflicts: ash (<< 0.3.5-1)
Depends: sysvinit (>= 2.80-1)
Description: Alternative boot mechanism using a single configuration file
 This package provides an alternative mechanism to boot the system, to
 shut it down and to change runlevels.  The /etc/rc?.d/* links will be
 converted into one single configuration file /etc/runlevel.conf
 instead, which is easier to administrate than symlinks, and is also
 more flexible.
 .
 The package will automatically convert your existing symlinks into
 the file method on installation, and convert the file back into
 symlinks on removal. Both mechanisms are compatible through
 /etc/init.d/rc, /etc/init.d/rcS, /usr/sbin/update-rc.d, and
 /usr/sbin/invoke-rc.d scripts.
