=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# This is the debhelper compatibility version to use.
+export DH_COMPAT=2
+
 installbin = install -o root -g root -m 755
-debroot = `pwd`/debian/tmp
+debroot = `pwd`/debian/file-rc
 
 build: build-stamp
 build-stamp:
@@ -30,20 +33,23 @@
 
 	$(installbin) rc rcS $(debroot)/usr/lib/file-rc
 	$(installbin) update-rc.d $(debroot)/usr/lib/file-rc
+	$(installbin) invoke-rc.d $(debroot)/usr/lib/file-rc
 	$(installbin) rclink2file.sh rcfile2link.sh $(debroot)/usr/lib/file-rc
 
 	touch install-stamp
 
 # Build architecture-independent files here.
 binary-indep: build install
-#	dh_testversion
 	dh_testdir
 	dh_testroot
+#	dh_installdebconf	
 	dh_installdocs
 	dh_installexamples
 	dh_installmenu
+#	dh_installlogrotate
 #	dh_installemacsen
 #	dh_installpam
+#	dh_installmime
 #	dh_installinit
 	dh_installcron
 	dh_installmanpages
@@ -51,11 +57,13 @@
 #	dh_undocumented
 	dh_installchangelogs
 	dh_link
+	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_suidregister
+#	dh_makeshlibs
 	dh_installdeb
 #	dh_perl
+	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
@@ -64,8 +72,5 @@
 binary-arch: build install
 # We have nothing to do by default.
 
-source diff:
-	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
-
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
