## file-rc 0.8.5

=== debian/changelog ===
file-rc (0.8.5) unstable; urgency=low

  * Expand digit sequence numbers with leading "0" in update-rc.d(8).
  * Add support for single digit sequence numbers to rcfile2link.sh, to
    avoid loosing these entries (Closes: #244944).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 25 Apr 2004 11:18:07 +0200

file-rc (0.8.4) unstable; urgency=high

  * Fix rclink2file.sh, which did no longer convert links to files since
    last release (Closes: #244920).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 20 Apr 2004 19:58:54 +0200

file-rc (0.8.3) unstable; urgency=low

  * Fix pointer to policy chapter in /etc/init.d/README.
  * Add README.invoke-rc.d and README.policy-rc.d from sysv-rc package.
  * Update man pages invoke-rc.d.8 and update-rc.d.8.
  * Update README and debian/copyright.
  * Add support for init scripts in /usr/local/etc/init.d to
    rclink2file.sh (Closes: #199363). 

 -- Roland Rosenfeld <roland@debian.org>  Sat, 27 Mar 2004 12:10:24 +0100

file-rc (0.8.2) unstable; urgency=low

  * Add bash completion for invoke-rc.d.  Thanks to Joerg Sommer
    <joerg@alea.gnuu.de> (Closes: #207396).
  * Allow 00 as a valid sequence number in /etc/init.d/rc (was 01-99
    before). (Closes: #215074).
  * Upgrade to Standards-Version 3.6.1 (no changes).
  * Avoid linda warning multiple-update-rc.d in preinst and postrm,
    because these scripts do some renaming magic with the update-rc.d
    script but don't call update-rc.d multiple times.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 16 Nov 2003 15:59:58 +0100

file-rc (0.8.1) unstable; urgency=low

  * s/comma-seperated/comma-separated/ in runlevel.conf.5 (Closes: #188093).
  * Upgrade to sysvinit >= 2.85-3 (Closes: #190272).
    - Replaces: sysv-rc
    - Conflicts: sysvinit << 2.85-3
    - Add man pages update-rc.d(8) and involke-rc.d(8) based on the files
      from sysv-rc package (and mention it in the copyright). 
    - Merge most of the contents of README.runlevels (from sysv-rc) into
      runlevel.conf(5) man page.
    - Install rc, rcS, update-rc.d, install-rc.d into the correct
      directories instead of /usr/share/file-rc.
    - Stop adding diversions in postist.
    - Stop deleting diversions in postrm.
    - Start deleting diversions in postinst on upgrade from
      file-rc (<<0.8.0).
    - Link /usr/share/sysvinit/update-rc.d to /usr/sbin/update-rc.d and
      /usr/sbin/invoke-rc.d in postrm on remove to avoid problems with
      dpkg not finding these programs.
  * Upgrade to Standards-Version 3.5.9 (no changes).
  * Add overrides for lintian and linda.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 26 Apr 2003 18:47:08 +0200

file-rc (0.7.0) unstable; urgency=low

  * Allow sequence number 00 in update-rc.d and invoke-rc.d
    (Closes: #179774).
  * Upgrade to Standards-Version 3.5.8 (no changes).
  * Upgrade to new debhelper (>= 4.0.0, debian/compat V4).
  * Move all files from /usr/lib/file-rc to /usr/share/file-rc.
  * Update debian/(pre|post)(rm|inst) files according to dh_make templates.

 -- Roland Rosenfeld <roland@debian.org>  Sat,  8 Feb 2003 17:35:01 +0100
