=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: admin
 Priority: extra
 Maintainer: Roland Rosenfeld <roland@debian.org>
-Standards-Version: 3.5.5
-Build-Depends-Indep: debhelper (>= 2.0.0)
+Standards-Version: 3.6.1
+Build-Depends-Indep: debhelper (>= 4.0.0)
 
 Package: file-rc
 Architecture: all
-Conflicts: ash (<< 0.3.5-1)
-Depends: sysvinit (>= 2.80-1)
+Conflicts: ash (<< 0.3.5-1), sysvinit (<< 2.85-3)
+Replaces: sysv-rc
 Description: Alternative boot mechanism using a single configuration file
  This package provides an alternative mechanism to boot the system, to
  shut it down and to change runlevels.  The /etc/rc?.d/* links will be
