## file-rc 0.8.7

=== debian/changelog ===
file-rc (0.8.7) unstable; urgency=low

  * Export runlevel and prevlevel in /etc/init.d/rc (Closes: #251025).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 14 Aug 2004 18:47:09 +0200

file-rc (0.8.6) unstable; urgency=medium

  * Replaces sysvinit (<< 2.85-3) instead of conflicting with it. This
    makes the upgrade from woody possible
    (Closes: #192702, #200858, #202984, #256524, #250358).

 -- Roland Rosenfeld <roland@debian.org>  Sat,  7 Aug 2004 12:06:23 +0200
