=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 Package: file-rc
 Architecture: all
-Conflicts: ash (<< 0.3.5-1), sysvinit (<< 2.85-3)
-Replaces: sysv-rc
+Conflicts: ash (<< 0.3.5-1)
+Replaces: sysv-rc, sysvinit (<< 2.85-3)
 Description: Alternative boot mechanism using a single configuration file
  This package provides an alternative mechanism to boot the system, to
  shut it down and to change runlevels.  The /etc/rc?.d/* links will be
