## file-rc 0.8.10

=== debian/changelog ===
file-rc (0.8.10) unstable; urgency=high

  * The quick idiot release :-(
  * Fix the IFS bug now in /etc/init.d/rcS, too.

 -- Roland Rosenfeld <roland@debian.org>  Mon,  3 Jul 2006 18:01:46 +0200

file-rc (0.8.9) unstable; urgency=high

  * Fix the IFS bug introduced with the previous version, which implied
    that /etc/init.d/rc did nothing any more (Closes: #376366).

 -- Roland Rosenfeld <roland@debian.org>  Mon,  3 Jul 2006 17:50:05 +0200

File-rc (0.8.8) unstable; urgency=low

  * Fix POSIX sh incompatibilities. Thanks to Jörg Sommer for reporting
    this and providing a patch (Closes: #292632).
  * Build-Depends instead of Build-Depends-Indep on debhelper.
  * Upgrade to debhelper v5.
  * Upgrade to Standards-Version 3.7.2 (no changes).
  * Fix non ascii char in runlevel.conf.5 man page.
  * Remove non-posix-code from postinst.
  * Remove closes=n entries from old changelog header lines to make
    lintian happy.
  * Update FSF address in debian/copyright.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 30 Jun 2006 22:31:49 +0200

file-rc (0.4.7) frozen unstable; urgency=low

  * Fixed problems wrt. changing of runlevels, partially applied patch
    from Roland Rosenfeld.  (closes: Bug#30669)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 30 Dec 1998 12:39:23 +0100

file-rc (0.4.6) unstable; urgency=low

  * Execution of .sh scripts now takes place in a separate environment of
    the current shell using the "(. *.sh)" construct.  This allows .sh
    scripts to use exit statements without halting the complete boot
    procedure.  (closes: Bug#28204)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 22 Oct 1998 12:31:46 +0200

file-rc (0.4.5) unstable; urgency=low

  * *Temporarily* disabled sourceing of *.sh scripts.  This needs to be
    discussed on -policy.  It's disabled to avoid showstoppers for the
    slink release.
  * Corrected comment-detection code.  Thanks to Marc Haber
    <Marc.Haber@gmx.de> (closes: Bug#28066)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 20 Oct 1998 20:13:11 +0200

file-rc (0.4.4) unstable; urgency=low

  * Don't check for being executable when referring to a *.sh script 

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 30 Jun 1998 01:08:44 +0200

file-rc (0.4.3) unstable frozen; urgency=high

  * Complete rewrite of the commandline parser for update-rc.d.  It now
    handles different runlevels correctly and works similar to the program
    as provided by sysvinit.
  * Included support for runlevel S (closes: Bug#19507)
  * Wrote and included rcS
  * Moved /etc/init.d/reboot and /etc/init.d/halt from sequence 05 to 99
  * Use dpkg-divert for /etc/init.d/rcS
  * Complete rewrite of debian/rules as it's now clear that I'm not only
    an interim maintainer. (closes: Bug#19310)
  * Applied patch from Wakko Warner <wakko@ani.animx.ml.org> to support
    .sh files. (closes: Bug#17882)
  * Used new source ftp address in copyright
  * Rewrote rclink2file.sh to support different start sequences
  * Hacked support for runlevel S into rcfile2link.sh
  * Removed /tmp files in favour of /etc tempfiles
  * Added support for runlevel S in rclink2file.sh
  * Added support for .sh files not marked executable
  * Modified /etc/init.d/rc to call all kill scripts first and then run
    the start scripts, when they're not called in the previous level -
    just like sysvinit.  (closes: Bug#20963)
  * New description
  * Added module to correct missing runlevel S support and wrong handling
    for reboot and halt to postinst
  * New Standards-Version
  * Heavy tested the code on a plain hamm machine as well as on a manual
    crippled machine.  Yes, it works.  Great.

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 17 May 1998 20:22:43 +0200

file-rc (0.4.2) unstable frozen; urgency=low

  * New maintainer
  * New standards version
  * Modified debian/rules
  * Added copyright from upstream author
  * Corrected copyright notice
  * Modified postinst according to Juan Cespedes' suggestion (Bug#14003)
  * Fixed small typo in update-rc.d which prevents the help text from
    being displayed
  * Corrected update-rc.d so entries get removed now (Bug#12226)
  * Better options handling included
  * Implemented -f (force) switch
  * Changed on/off to start/stop in help text
  * Corrected bahaviour of update-rc.d when start/stop codes are
    specified.  These resulted in [= integer expression expected in the
    past.  (Bug#10075)
  * Modified update-rc.d so it now understands start (and stop) lists
    ending with a dot.  (Bug#12661)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 14 Jan 1998 12:42:13 +0100
