=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: extra
 Maintainer: Roland Rosenfeld <roland@debian.org>
-Standards-Version: 3.6.1
-Build-Depends-Indep: debhelper (>= 4.0.0)
+Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 5)
 
 Package: file-rc
 Architecture: all
