## file-rc 0.8.11

=== debian/changelog ===
file-rc (0.8.11) unstable; urgency=low

  * Fix bash-completion when invoked via sudo. Thanks to Javier Kohen
    <jkohen@users.sourceforge.net> for providing a patch (Closes: #310456).
  * Replace "kill -0" by "kill -s 0", because the other seems to be a
    bashism. Thanks to Mert Dirik <mertdirik@gmail.com> for providing a
    patch (Closes: #464650).
  * Upgrade to Standards-Version 3.7.3 (no changes).
  * Convert copyright from iso-8859-1 to utf-8.
  * Remove some outdated warnings from overrride.lintian.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 01 May 2008 12:25:29 +0200

file-rc (0.8.8) unstable; urgency=low

  * Fix POSIX sh incompatibilities. Thanks to Jörg Sommer for reporting
    this and providing a patch (Closes: #292632).
  * Build-Depends instead of Build-Depends-Indep on debhelper.
  * Upgrade to debhelper v5.
  * Upgrade to Standards-Version 3.7.2 (no changes).
  * Fix non ascii char in runlevel.conf.5 man page.
  * Remove non-posix-code from postinst.
  * Remove closes=n entries from old changelog header lines to make
    lintian happy.
  * Update FSF address in debian/copyright.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 30 Jun 2006 22:31:49 +0200
