## file-rc 0.8.12

=== debian/changelog ===
file-rc (0.8.12) unstable; urgency=low

  * New maintainer (Closes: #539609)
  * Use debian source format 1.0
  * Add better debugging support
  * Bump standards version (no further changes)
  * Remove linda overrides
  * Implement sorting based on sortnumbers in runlevel.conf 
    (Closes: #327085). Thanks to Tim Phipps for the sort idea. 
  * Tell invoke-rc.d the difference between runlevels, to prevent warnings
    during boot (Closes: #505552). Thanks to Ken Bloom for the patch
  * Only create symlinks im post-rm if programs are missing (Closes: #543780)
    Thanks Petter Reinholdtsen for the patch
  * Only stop services if they were started in PREVLEVEL (Closes: #202294) 
    Thanks to Jörg Sommer for the patch
  * Remove link to non-existant policy-rc.d manpage. 
    /usr/share/doc/file-rc/README.policy-rc.d.gz is the official source 
    (Closes: #489488)
  * Add -v as optional parameter, which in contrary to -d really executes 
    the commands (Closes: #399666)

 -- Alexander Wirt <formorer@debian.org>  Wed, 07 Apr 2010 21:26:18 +0200
