=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: file-rc
 Section: admin
 Priority: extra
-Maintainer: Roland Rosenfeld <roland@debian.org>
-Standards-Version: 3.7.3
+Maintainer: file-rc maintainers <file-rc-users@lists.alioth.debian.org>
+Uploaders: Alexander Wirt <formorer@debian.org>, Michael Prokop <mika@debian.org>
+Standards-Version: 3.8.4
 Build-Depends: debhelper (>= 5)
 
 Package: file-rc
 Architecture: all
+Depends: ${misc:Depends}
 Conflicts: ash (<< 0.3.5-1)
 Replaces: sysv-rc, sysvinit (<< 2.85-3)
 Description: Alternative boot mechanism using a single configuration file
