=== debian/rules ===
--- 
+++ 
@@ -37,8 +37,6 @@
 		$(debroot)/usr/share/file-rc/
 	$(installdoc) debian/overrides.lintian \
 		$(debroot)/usr/share/lintian/overrides/file-rc
-	$(installdoc) debian/overrides.linda \
-		$(debroot)/usr/share/linda/overrides/file-rc
 	$(installdoc) debian/bash_completion \
 		$(debroot)/etc/bash_completion.d/file-rc
